﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

namespace wstest
{
    class Program
    {
        static void Main(string[] args)
        {
            HttpClient client = new HttpClient();

            var values = new Dictionary<string, string>
            {

                { "TCODE", "fffffffffffffffffffffffffffffffffffffff" },
                { "ACTION", "LABEL" },
                { "SMM_CUST_CODE", "ITIT0000999" },
                { "SMM_PRODUCT_CODE", "AT_DPD_PRIME" },
                { "PRE_ALLERT_DATE", "29/12/2020" },
                { "CLIENT_SHIP_REF", "TEST_ORDER_01" },
                { "DELIVERY_NAME", "ICT SMM" },
                { "DELIVERY_ADDR", "Via Carlo farini 81"},
                //{ "DELIVERY_ADDR_NO", ordine },
                { "DELIVERY_ZIP_CODE", "20159" },
                { "DELIVERY_CITY", "Milano" },
                { "DELIVERY_DISTRICT", "MI" },
                { "DEL_ISO_COUNTRY_CODE", "AT" },
                { "WEIGHT","0.394" },
                { "DELIVERY_PHONE_NR", "+3902345678" },
                { "DELIVERY_EMAIL", "ict.smm@sanmarinomail.it" },
                { "DELIVERY_INSTRUCTION", "note" },
                { "CONTENT", "PARCEL" },
                { "DIMEN_PCS_LENGTH", "10" },
                { "DIMEN_PCS_WIDTH", "11" },
                { "DIMEN_PCS_HEIGHT", "12" },

                /*{ "PICKUP_NAME", "" },
                { "PICKUP_ADDR", "" },
                { "PICKUP_ZIP_CODE", "" },
                { "PICKUP_CITY", "" },
                { "PICKUP_PHONE_NR", "" },
                { "PICKUP_EMAIL", "" },
                { "PICKUP_ISO_COUNTRY_CODE", "IT" },*/

                { "LDV_PRINTING", "1" },
                { "PARCEL", "1" },
                { "OUTPUT_TYPE", "0" }

            };

            var content = new FormUrlEncodedContent(values);

            var response = client.PostAsync("https://labels-api.sanmarinomail.it/SanMarinoMailWeb2/api/label", content);

            string responseString = response.Result.Content.ReadAsStringAsync().Result;

            Console.WriteLine(responseString);
            Console.ReadKey();
        }
    }
}
